features:
  secondary:
    - name: "API for manually creating deployments"
      available_in: [core, starter, premium, ultimate]
      documentation_link: "https://docs.gitlab.com/ee/api/deployments.html"
      reporter: ogolowinski
      stage: release
      issue_url: "https://gitlab.com/gitlab-org/gitlab/issues/32579"
      description: |
        We have added API functionality that will allow creating deployments. This also changes builds to be optional which is needed to lay the foundation to support external environments and deployments to GitLab. 